////////////////////////////////// Includes ///////////////////////////////////

#include "stdafx.h"
#include "PJNSMTPApp.h"
#include "PJNSMTPAppDlg.h"


///////////////////////////////// Macros / Defines ////////////////////////////

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


//////////////////////////////// Implementation ///////////////////////////////

#pragma warning(suppress: 26426)
CPJNSMTPApp theApp;

#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CPJNSMTPApp, CWinApp) //NOLINT(clang-diagnostic-unused-local-typedef, modernize-avoid-c-arrays)
END_MESSAGE_MAP()

BOOL CPJNSMTPApp::InitInstance()
{
  //Initialize Sockets
  if (!AfxSocketInit()) 
  {
    TRACE(_T("Failed to initialise the Winsock stack\n"));
    return FALSE;
  }

  //Settings will be stored in the registry
  SetRegistryKey(_T("PJ Naughter"));

  //Bring up the main dialog
  CPJNSMTPAppDlg dlg;
  m_pMainWnd = &dlg;
  dlg.DoModal();

  return FALSE;
}
